const BASE_URL = import.meta.env.VITE_BE_URL ?? ''

console.log(BASE_URL)

export const POST_LOGIN = `${BASE_URL}/api/auth/login`
export const POST_LOGOUT = `${BASE_URL}/api/auth/logout`
export const POST_REFRESH = `${BASE_URL}/api/auth/refresh`
export const GET_USER_PROFILE = `${BASE_URL}/api/user/me`
export const PUT_UPDATE_USER_PROFILE = `${BASE_URL}/api/user/update-profile`

/**
 * House API
 */
export const POST_HOUSE_CREATE = `${BASE_URL}/api/house/create`
export const GET_HOUSES_LIST = ({ page, pageSize }) =>
  `${BASE_URL}/api/house/all?page=${page}&pageSize=${pageSize}`
export const GET_HOUSE_DETAIL = (id) => `${BASE_URL}/api/house/${id}`
export const PUT_UPDATE_HOUSE = `${BASE_URL}/api/house/update`
export const DEL_DELETE_HOUSE = (id) => `${BASE_URL}/api/house/delete/${id}`
